Summary: Quake 3 Arena point release (only the binaries!).
Name: quake3
Version: 1.31
Release: fr1
Serial: 1
Copyright: Buyit!
Group: Amusements/Games
Source0: ftp://ftp.idsoftware.com/idstuff/quake3/linux/linuxq3apoint-%{version}.x86.run
Source1: quake3.xpm
URL: http://www.quake3arena.com/
BuildRoot: %{_tmppath}/%{name}-root

%description
This is the Quake 3 Arena point release packaged in a RPM so that you can
easily install and uninstall it from your system.
Of course, to play the game, you will need to copy the pak0.pk3 file from
your original Quake 3 Arena CD to %{_prefix}/games/quake3/ (or you can
just make a link to it on a Windows partition if you already have it!).

%prep
%setup -c -T
# Yeah, nothing! :-)

%build
# These are all binaries, nothing much to compile!

%install
rm -rf %{buildroot}
# Uncompress the shell script in "quake3" without getting prompted
# This will fail if you're under X!
echo "n" | sh %{SOURCE0} --confirm --nox11 --target tmp
# ...then cleanup
mv tmp/* . && rmdir tmp

# Install game files
mkdir -p %{buildroot}%{_prefix}/games/quake3
cp -a baseq3 missionpack %{buildroot}%{_prefix}/games/quake3/
chmod 755 %{buildroot}%{_prefix}/games/quake3/*/pak*.pk3
cp -a bin/x86/q3ded bin/x86/quake3.x86 %{buildroot}%{_prefix}/games/quake3/

# Custom file, the icon for the desktop entry
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/quake3.xpm

# Nonexisting %ghost files that will need to be copied from the CD
touch %{buildroot}%{_prefix}/games/quake3/baseq3/pak0.pk3
touch %{buildroot}%{_prefix}/games/quake3/missionpack/pak0.pk3

# Shell script to run the game (a sort of wrapper)
mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/quake3 << EOF
#!/bin/sh
# Needed to make symlinks/shortcuts work.
# Run Quake III with some default arguments

cd "%{_prefix}/games/quake3"
quake="./quake3.x86"
"\$quake" \$*
exit \$?
EOF
# Need to have it executable too
chmod 755 %{buildroot}%{_bindir}/quake3

# System desktop entry
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Games
cat > %{buildroot}%{_sysconfdir}/X11/applnk/Games/quake3.desktop << EOF
[Desktop Entry]
Name=Quake 3 Arena
Comment=Quake 3 Arena
Exec=%{_bindir}/quake3
Icon=%{_datadir}/pixmaps/quake3.xpm
Terminal=0
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc Help/* Q3A_EULA.txt README-*
%{_sysconfdir}/X11/applnk/Games/quake3.desktop
%{_bindir}/*
%dir %{_prefix}/games/quake3
%{_prefix}/games/quake3/q3ded
%{_prefix}/games/quake3/quake3.x86
%dir %{_prefix}/games/quake3/baseq3
%ghost %{_prefix}/games/quake3/baseq3/pak0.pk3
%{_prefix}/games/quake3/baseq3/pak1.pk3
%{_prefix}/games/quake3/baseq3/pak2.pk3
%{_prefix}/games/quake3/baseq3/pak3.pk3
%{_prefix}/games/quake3/baseq3/pak4.pk3
%{_prefix}/games/quake3/baseq3/pak5.pk3
%dir %{_prefix}/games/quake3/missionpack
%ghost %{_prefix}/games/quake3/missionpack/pak0.pk3
%{_prefix}/games/quake3/missionpack/pak1.pk3
%{_datadir}/pixmaps/quake3.xpm

%changelog
* Sun Jan  6 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.31.

* Wed Oct 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.30 at last, almost completely re-did the spec file :-)

* Sat Feb  3 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.27g-beta1

* Sun Oct 15 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM based on Loki's 1.17 point release

